Bug 1290988 - [abrt] kate: QXcbWindow::setParent(): kate killed by SIGSEGV
[abrt] kate: QXcbWindow::setParent(): kate killed by SIGSEGV
Status: CLOSED DUPLICATE of bug 1291003
Product: Fedora
Classification: Fedora
Component: kate (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:515ab67efd96322d74785078807...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-12 08:36 EST by James L. Neill
Modified: 2016-01-01 23:30 EST (History)
20 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-01 23:30:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (39.64 KB, text/plain)
2015-12-12 08:36 EST, James L. Neill
no flags Details
File: cgroup (190 bytes, text/plain)
2015-12-12 08:36 EST, James L. Neill
no flags Details
File: core_backtrace (14.84 KB, text/plain)
2015-12-12 08:36 EST, James L. Neill
no flags Details
File: dso_list (17.61 KB, text/plain)
2015-12-12 08:36 EST, James L. Neill
no flags Details
File: environ (1.84 KB, text/plain)
2015-12-12 08:36 EST, James L. Neill
no flags Details
File: exploitable (82 bytes, text/plain)
2015-12-12 08:36 EST, James L. Neill
no flags Details
File: limits (1.29 KB, text/plain)
2015-12-12 08:36 EST, James L. Neill
no flags Details
File: maps (78.72 KB, text/plain)
2015-12-12 08:36 EST, James L. Neill
no flags Details
File: mountinfo (3.34 KB, text/plain)
2015-12-12 08:36 EST, James L. Neill
no flags Details
File: namespaces (85 bytes, text/plain)
2015-12-12 08:36 EST, James L. Neill
no flags Details
File: open_fds (1.43 KB, text/plain)
2015-12-12 08:36 EST, James L. Neill
no flags Details
File: proc_pid_status (1005 bytes, text/plain)
2015-12-12 08:36 EST, James L. Neill
no flags Details
File: var_log_messages (313 bytes, text/plain)
2015-12-12 08:36 EST, James L. Neill
no flags Details

  None (edit)
Description James L. Neill 2015-12-12 08:36:00 EST
Description of problem:
I had just clicked on the "KATE" icon to open the program when it started and then crashed immediately.

Version-Release number of selected component:
kate-15.08.1-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/kate -b
crash_function: QXcbWindow::setParent
executable:     /usr/bin/kate
global_pid:     1680
kernel:         4.2.6-301.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 QXcbWindow::setParent at qxcbwindow.cpp:1499
 #1 QWindow::setParent at kernel/qwindow.cpp:614
 #2 QWidgetPrivate::setParent_sys at kernel/qwidget.cpp:10543
 #3 QWidget::setParent at kernel/qwidget.cpp:10398
 #5 QDialogButtonBox::addButton at widgets/qdialogbuttonbox.cpp:761
 #6 KDEPlatformFileDialog::KDEPlatformFileDialog at ../../../src/platformtheme/kdeplatformfiledialoghelper.cpp:103
 #7 KDEPlatformFileDialogHelper::KDEPlatformFileDialogHelper at ../../../src/platformtheme/kdeplatformfiledialoghelper.cpp:201
 #8 KdePlatformTheme::createPlatformDialogHelper at ../../../src/platformtheme/kdeplatformtheme.cpp:269
 #9 QDialogPrivate::platformHelper at dialogs/qdialog.cpp:94
 #10 QFileDialogPrivate::platformFileDialogHelper at dialogs/qfiledialog_p.h:112
Comment 1 James L. Neill 2015-12-12 08:36:05 EST
Created attachment 1105017 [details]
File: backtrace
Comment 2 James L. Neill 2015-12-12 08:36:07 EST
Created attachment 1105018 [details]
File: cgroup
Comment 3 James L. Neill 2015-12-12 08:36:09 EST
Created attachment 1105019 [details]
File: core_backtrace
Comment 4 James L. Neill 2015-12-12 08:36:11 EST
Created attachment 1105020 [details]
File: dso_list
Comment 5 James L. Neill 2015-12-12 08:36:12 EST
Created attachment 1105021 [details]
File: environ
Comment 6 James L. Neill 2015-12-12 08:36:14 EST
Created attachment 1105022 [details]
File: exploitable
Comment 7 James L. Neill 2015-12-12 08:36:15 EST
Created attachment 1105023 [details]
File: limits
Comment 8 James L. Neill 2015-12-12 08:36:18 EST
Created attachment 1105024 [details]
File: maps
Comment 9 James L. Neill 2015-12-12 08:36:20 EST
Created attachment 1105025 [details]
File: mountinfo
Comment 10 James L. Neill 2015-12-12 08:36:21 EST
Created attachment 1105026 [details]
File: namespaces
Comment 11 James L. Neill 2015-12-12 08:36:23 EST
Created attachment 1105027 [details]
File: open_fds
Comment 12 James L. Neill 2015-12-12 08:36:24 EST
Created attachment 1105028 [details]
File: proc_pid_status
Comment 13 James L. Neill 2015-12-12 08:36:26 EST
Created attachment 1105029 [details]
File: var_log_messages
Comment 14 Reartes Guillermo 2015-12-12 15:12:34 EST
Another user experienced a similar problem:

Editing 2 documents on kate, it crashed.

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/kate -b
crash_function: QXcbWindow::setParent
executable:     /usr/bin/kate
global_pid:     10826
kernel:         4.2.6-301.fc23.x86_64
package:        kate-15.08.1-1.fc23
reason:         kate killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 15 Chris Hubick 2015-12-12 20:30:58 EST
Another user experienced a similar problem:

I pasted in some text and clicked save.

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/kwrite
crash_function: QXcbWindow::setParent
executable:     /usr/bin/kwrite
global_pid:     2529
kernel:         4.2.6-301.fc23.x86_64
package:        kwrite-15.08.1-1.fc23
reason:         kwrite killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 16 mrh 2015-12-14 13:55:37 EST
Another user experienced a similar problem:

Either closing or opening a file. 2 files had been open. Resorted to using Kwrite because of similar issue with Kate. Now both editors are not working.

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/kwrite /home/mheieis/.kde/share/apps/kate/sessions/MAKEREPORT.katesession
crash_function: QXcbWindow::setParent
executable:     /usr/bin/kwrite
global_pid:     3446
kernel:         4.2.6-301.fc23.x86_64
package:        kwrite-15.08.1-1.fc23
reason:         kwrite killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 17 mrh 2015-12-14 14:12:47 EST
Console messages from kate for opening an existing session. What's interesting is that every file is has been marked as as C++ syntax when they are perl, awk, latex, bash files, etc. This behaviour is new as I've been using this particular session for considerable time. 

$user>kate
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "Bash" ' ( "2.18" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "Gnuplot" ' ( "0.2" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "Perl" ' ( "1.32" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "Perl" ' ( "1.32" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "LaTeX" ' ( "1.57" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "Perl" ' ( "1.32" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "Bash" ' ( "2.18" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "Perl" ' ( "1.32" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "Perl" ' ( "1.32" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "Gnuplot" ' ( "0.2" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "Bash" ' ( "2.18" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "Bash" ' ( "2.18" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "Perl" ' ( "1.32" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "Bash" ' ( "2.18" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "Bash" ' ( "2.18" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "Bash" ' ( "2.18" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "Perl" ' ( "1.32" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "Bash" ' ( "2.18" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "Bash" ' ( "2.18" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "Perl" ' ( "1.32" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "SQL" ' ( "1.17" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "None" ' ( "" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "SQL" ' ( "1.17" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "SQL" ' ( "1.17" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "Perl" ' ( "1.32" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "Perl" ' ( "1.32" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "None" ' ( "" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "Perl" ' ( "1.32" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "Perl" ' ( "1.32" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "None" ' ( "" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "Perl" ' ( "1.32" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "Bash" ' ( "2.18" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "LaTeX" ' ( "1.57" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "LaTeX" ' ( "1.57" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "LaTeX" ' ( "1.57" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "LaTeX" ' ( "1.57" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "LaTeX" ' ( "1.57" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "None" ' ( "" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "None" ' ( "" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "LaTeX" ' ( "1.57" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "None" ' ( "" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "None" ' ( "" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "LaTeX" ' ( "1.57" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "None" ' ( "" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "None" ' ( "" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "None" ' ( "" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "Perl" ' ( "1.32" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "None" ' ( "" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "Perl" ' ( "1.32" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "Perl" ' ( "1.32" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "None" ' ( "" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "None" ' ( "" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "None" ' ( "" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "None" ' ( "" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "None" ' ( "" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "LaTeX" ' ( "1.57" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "None" ' ( "" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "LaTeX" ' ( "1.57" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "None" ' ( "" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "LaTeX" ' ( "1.57" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "LaTeX" ' ( "1.57" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "LaTeX" ' ( "1.57" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "None" ' ( "" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "None" ' ( "" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "LaTeX" ' ( "1.57" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "LaTeX" ' ( "1.57" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "None" ' ( "" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "LaTeX" ' ( "1.57" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "LaTeX" ' ( "1.57" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "None" ' ( "" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "None" ' ( "" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "None" ' ( "" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "Perl" ' ( "1.32" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "None" ' ( "" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "None" ' ( "" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "None" ' ( "" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "LaTeX" ' ( "1.57" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "LaTeX" ' ( "1.57" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "LaTeX" ' ( "1.57" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "LaTeX" ' ( "1.57" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "LaTeX" ' ( "1.57" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "LaTeX" ' ( "1.57" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "LaTeX" ' ( "1.57" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "LaTeX" ' ( "1.57" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "LaTeX" ' ( "1.57" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "LaTeX" ' ( "1.57" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "LaTeX" ' ( "1.57" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "LaTeX" ' ( "1.57" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "LaTeX" ' ( "1.57" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "LaTeX" ' ( "1.57" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "None" ' ( "" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "None" ' ( "" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "None" ' ( "" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "None" ' ( "" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "None" ' ( "" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "LaTeX" ' ( "1.57" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "LaTeX" ' ( "1.57" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "LaTeX" ' ( "1.57" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "LaTeX" ' ( "1.57" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "Gnuplot" ' ( "0.2" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "None" ' ( "" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "None" ' ( "" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "Gnuplot" ' ( "0.2" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "Bash" ' ( "2.18" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "LaTeX" ' ( "1.57" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "None" ' ( "" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "None" ' ( "" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "None" ' ( "" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "R Script" ' ( "2.08" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "Perl" ' ( "1.32" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "R Script" ' ( "2.08" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "None" ' ( "" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "LaTeX" ' ( "1.57" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "LaTeX" ' ( "1.57" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "None" ' ( "" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "None" ' ( "" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "None" ' ( "" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "None" ' ( "" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "None" ' ( "" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "R Script" ' ( "2.08" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "LaTeX" ' ( "1.57" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "LaTeX" ' ( "1.57" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "LaTeX" ' ( "1.57" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "None" ' ( "" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "LaTeX" ' ( "1.57" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "LaTeX" ' ( "1.57" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "Perl" ' ( "1.32" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "Perl" ' ( "1.32" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "LaTeX" ' ( "1.57" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "LaTeX" ' ( "1.57" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "None" ' ( "" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "None" ' ( "" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "None" ' ( "" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "None" ' ( "" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "LaTeX" ' ( "1.57" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "None" ' ( "" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "LaTeX" ' ( "1.57" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "LaTeX" ' ( "1.57" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "LaTeX" ' ( "1.57" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "Bash" ' ( "2.18" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "Perl" ' ( "1.32" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "Bash" ' ( "2.18" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "Perl" ' ( "1.32" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "Bash" ' ( "2.18" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "Bash" ' ( "2.18" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "Bash" ' ( "2.18" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "Bash" ' ( "2.18" ), style ' "" ', but script require ' "C++" '
org.kde.ktexteditor: mode "cppstyle" requires a different highlight style: highlighting ' "Bash" ' ( "2.18" ), style ' "" ', but script require ' "C++" '
QWidget::setLayout: Attempting to set QLayout "" on KateMDI::ToolView "", which already has a layout
Segmentation fault (core dumped)
Comment 18 mrh 2015-12-14 14:30:05 EST
Attempt to open first file in a new Kate session from the console:

$ kate
0x555bd0cba8f0 void QWindowPrivate::setTopLevelScreen(QScreen*, bool) ( QScreen(0x555bd0860de0) ): Attempt to set a screen on a child window.
Segmentation fault (core dumped)
Comment 19 Jorge Moncayo Bravo 2015-12-20 19:42:32 EST
Another user experienced a similar problem:

Procedía a guardar un archivo determinado y la aplicación cerró inesperadamente.

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/kate -b
crash_function: QXcbWindow::setParent
executable:     /usr/bin/kate
global_pid:     2623
kernel:         4.2.7-300.fc23.i686
package:        kate-15.08.3-3.fc23
reason:         kate killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 20 ctattersall 2015-12-22 05:13:34 EST
Another user experienced a similar problem:

This occurs when I try to 'Save As'

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/kwrite
crash_function: QXcbWindow::setParent
executable:     /usr/bin/kwrite
global_pid:     20303
kernel:         4.2.7-300.fc23.x86_64
package:        kwrite-15.08.3-3.fc23
reason:         kwrite killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 21 Reartes Guillermo 2015-12-28 07:20:57 EST
If one tries to save anything they crash. I do use them alot.
kate / kwrite are unusable ATM.

Even Konsole 'save as..' is affected, so be CAREFUL if you have other important tabs open... (use screen if you have remote connections...)

ATM i am using JuffEd, wich is similar and does not crash.

I tried strace kwrite:

[...TRUNCATED...]

write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
poll([{fd=5, events=POLLIN}, {fd=6, events=POLLIN}, {fd=7, events=POLLIN}, {fd=8, events=POLLIN}, {fd=10, events=POLLIN}, {fd=11, events=POLLIN}, {fd=12, events=POLLIN}, {fd=13, events=POLLPRI}, {fd=16, events=POLLIN}], 9, 0) = 2 ([{fd=5, revents=POLLIN}, {fd=7, revents=POLLIN}])
read(5, "'\0\0\0\0\0\0\0", 16)          = 8
stat("/etc/localtime", {st_mode=S_IFREG|0644, st_size=1087, ...}) = 0
stat("/etc/localtime", {st_mode=S_IFREG|0644, st_size=1087, ...}) = 0
stat("/etc/localtime", {st_mode=S_IFREG|0644, st_size=1087, ...}) = 0
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
recvmsg(7, {msg_name(0)=NULL, msg_iov(1)=[{"\0\0\0\0\2\1s\0\22\0\0\0org.kde.KDirNotify\0\0"..., 2048}], msg_controllen=0, msg_flags=MSG_CMSG_CLOEXEC}, MSG_CMSG_CLOEXEC) = 2048
recvmsg(7, {msg_name(0)=NULL, msg_iov(1)=[{":1.6\0\0\0\0\0\0\0\0l\4\1\1\4\0\0\0{&c\1]\0\0\0\1\1o\0"..., 2048}], msg_controllen=0, msg_flags=MSG_CMSG_CLOEXEC}, MSG_CMSG_CLOEXEC) = 2048
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
access("/home/greartes/Documentos", R_OK) = 0
sendmsg(11, {msg_name(0)=NULL, msg_iov(2)=[{"l\1\0\1\0\0\0\0\200\0\0\0\223\0\0\0\1\1o\0&\0\0\0/org/fre"..., 168}, {"", 0}], msg_controllen=0, msg_flags=0}, MSG_NOSIGNAL) = 168
poll([{fd=11, events=POLLIN}], 1, 25000) = 1 ([{fd=11, revents=POLLIN}])
recvmsg(11, {msg_name(0)=NULL, msg_iov(1)=[{"l\2\1\1\315\1\0\0\321\26\0\0.\0\0\0\10\1g\0\1s\0\0\5\1u\0\200\0\0\0"..., 2048}], msg_controllen=0, msg_flags=MSG_CMSG_CLOEXEC}, MSG_CMSG_CLOEXEC) = 525
recvmsg(11, 0x7ffd4fa480f0, MSG_CMSG_CLOEXEC) = -1 EAGAIN (Resource temporarily unavailable)
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
sendmsg(11, {msg_name(0)=NULL, msg_iov(2)=[{"l\1\0\1\0\0\0\0\201\0\0\0\223\0\0\0\1\1o\0&\0\0\0/org/fre"..., 168}, {"", 0}], msg_controllen=0, msg_flags=0}, MSG_NOSIGNAL) = 168
poll([{fd=11, events=POLLIN}], 1, 25000) = 1 ([{fd=11, revents=POLLIN}])
recvmsg(11, {msg_name(0)=NULL, msg_iov(1)=[{"l\2\1\1\315\1\0\0\322\26\0\0.\0\0\0\10\1g\0\1s\0\0\5\1u\0\201\0\0\0"..., 2048}], msg_controllen=0, msg_flags=MSG_CMSG_CLOEXEC}, MSG_CMSG_CLOEXEC) = 525
recvmsg(11, 0x7ffd4fa481c0, MSG_CMSG_CLOEXEC) = -1 EAGAIN (Resource temporarily unavailable)
getcwd("/home/greartes", 4098)          = 15
getcwd("/home/greartes", 4098)          = 15
lstat("/home", {st_mode=S_IFDIR|0755, st_size=22, ...}) = 0
lstat("/home/greartes", {st_mode=S_IFDIR|0700, st_size=4096, ...}) = 0
lstat("/home/greartes/Documentos", {st_mode=S_IFDIR|0755, st_size=244, ...}) = 0
stat("/home/greartes/Documentos", {st_mode=S_IFDIR|0755, st_size=244, ...}) = 0
statfs("/home/greartes/Documentos", {f_type=0x58465342, f_bsize=4096, f_blocks=5240320, f_bfree=1554029, f_bavail=1554029, f_files=10485760, f_ffree=10412234, f_fsid={64772, 0}, f_namelen=255, f_frsize=4096, f_flags=4128}) = 0
inotify_add_watch(8, "/home/greartes/Documentos", IN_MODIFY|IN_ATTRIB|IN_MOVED_FROM|IN_MOVED_TO|IN_CREATE|IN_DELETE|IN_DELETE_SELF|IN_MOVE_SELF|IN_DONT_FOLLOW) = 2
sendmsg(7, {msg_name(0)=NULL, msg_iov(2)=[{"l\4\1\1%\0\0\0007\0\0\0W\0\0\0\1\1o\0\1\0\0\0/\0\0\0\0\0\0\0"..., 104}, {" \0\0\0file:///home/greartes/Docume"..., 37}], msg_controllen=0, msg_flags=0}, MSG_NOSIGNAL) = 141
sendmsg(11, {msg_name(0)=NULL, msg_iov(2)=[{"l\1\0\1\0\0\0\0\202\0\0\0\223\0\0\0\1\1o\0&\0\0\0/org/fre"..., 168}, {"", 0}], msg_controllen=0, msg_flags=0}, MSG_NOSIGNAL) = 168
poll([{fd=11, events=POLLIN}], 1, 25000) = 1 ([{fd=11, revents=POLLIN}])
recvmsg(11, {msg_name(0)=NULL, msg_iov(1)=[{"l\2\1\1\315\1\0\0\323\26\0\0.\0\0\0\10\1g\0\1s\0\0\5\1u\0\202\0\0\0"..., 2048}], msg_controllen=0, msg_flags=MSG_CMSG_CLOEXEC}, MSG_CMSG_CLOEXEC) = 525
recvmsg(11, 0x7ffd4fa48430, MSG_CMSG_CLOEXEC) = -1 EAGAIN (Resource temporarily unavailable)
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
write(5, "\1\0\0\0\0\0\0\0", 8)         = 8
poll([{fd=3, events=POLLIN|POLLOUT}], 1, 4294967295) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{"\2\0\5\0'\1@\6\0\n\0\0\0\0\0\0\177\240b\0\22\0\7\0'\1@\6_\1\0\0"..., 48}], 1) = 48
poll([{fd=3, events=POLLIN|POLLOUT}], 1, 4294967295) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{"\22\0\v\0'\1@\6D\1\0\0D\1\0\0 \0\0\0\5\0\0\0\3\0\0\0>\0\0\0"..., 68}], 1) = 68
futex(0x7ffd4fa48924, FUTEX_WAIT_PRIVATE, 1, NULL) = 0
futex(0x55a11fb67f98, FUTEX_WAKE_PRIVATE, 1) = 0
poll([{fd=3, events=POLLIN|POLLOUT}], 1, 4294967295) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{"\22\0\17\0'\1@\6#\0\0\0#\0\0\0 \0\0\0\t\0\0\0\3\0\0\0\1\0\0\0"..., 124}], 1) = 124
poll([{fd=3, events=POLLIN|POLLOUT}], 1, 4294967295) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{"\22\0\v\0'\1@\6D\1\0\0D\1\0\0 \0\0\0\5\0\0\0\3\0\0\0>\0\0\0"..., 68}], 1) = 68
futex(0x7ffd4fa48984, FUTEX_WAIT_PRIVATE, 1, NULL) = 0
futex(0x55a11fb67f98, FUTEX_WAKE_PRIVATE, 1) = 0
--- SIGSEGV {si_signo=SIGSEGV, si_code=SEGV_MAPERR, si_addr=0x18} ---
+++ killed by SIGSEGV (core dumped) +++
Violación de segmento (`core' generado)
Comment 22 notaspampeanas 2015-12-28 21:48:59 EST
Another user experienced a similar problem:

Creé un documento en inglés y dividí la pantalla de Kate verticalmente. A la derecha el documento en inglés, y a la derecha creé un documento nuevo en blanco. Luego de escribir en el nuevo documento, al guardar con alt+s, Kate se cerró en dos oportunidades.

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/kate -b
crash_function: QXcbWindow::setParent
executable:     /usr/bin/kate
global_pid:     2604
kernel:         4.2.8-300.fc23.x86_64
package:        kate-15.08.3-3.fc23
reason:         kate killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 23 niklas.laxstrom+bro@gmail.com 2015-12-31 05:14:42 EST
After installing updates and rebooting kate become unusable for me as well:
Program received signal SIGSEGV, Segmentation fault.                                                                                                                                                   
0x00007fffec60bf08 in QXcbWindow::setParent(QPlatformWindow const*) () from /lib64/libQt5XcbQpa.so.5
Comment 24 niklas.laxstrom+bro@gmail.com 2015-12-31 06:01:17 EST
Upstream bug https://bugs.kde.org/show_bug.cgi?id=356583 - it seems to affect also other applications using file open/save dialog, not just kate.
Comment 25 Pavel S. 2015-12-31 07:57:35 EST
(In reply to niklas.laxstrom+bro@gmail.com from comment #24)
> Upstream bug https://bugs.kde.org/show_bug.cgi?id=356583 - it seems to
> affect also other applications using file open/save dialog, not just kate.

the real bug is
https://bugzilla.redhat.com/show_bug.cgi?id=1291003
I reported there, but the maintainer seems to be unreachable at the moment. You can fix this locally for you by importing the gap-stopper (patch and spec can be found in that bug)
http://code.qt.io/cgit/qt/qtbase.git/commit/?h=5.5&id=37b7c5164c830458ea833d3757ca94cb7bebcb3a
into qt5-qtbase and recompiling and reinstalling the RPM.
Comment 26 Rex Dieter 2016-01-01 23:30:45 EST

*** This bug has been marked as a duplicate of bug 1291003 ***

Note You need to log in before you can comment on or make changes to this bug.